## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname zxcvbn-python

Name: python-zxcvbn
Summary: Realistic password strength estimator python module
Version: 4.5.0
Release: %autorelease
License: MIT
URL: https://github.com/dwolfhub/zxcvbn-python
Source: https://github.com/dwolfhub/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel

%global _description %{expand:
A realistic password strength estimator.

This is a Python implementation of the library created by the team at Dropbox.
The original library was written for JavaScript.

Accepts user data to be added to the dictionaries that are tested against
(name, birthdate, etc).  Gives a score to the password, from 0 (terrible)
to 4 (great). It provides feedback on the password and ways to improve it
and returns time estimates on how long it would take to guess the password
in different situations.}
%description %_description

%package -n python3-zxcvbn
Summary: Realistic password strength estimator python3 module

%description -n python3-zxcvbn %_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zxcvbn

%check
%tox

%files -n python3-zxcvbn  -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/zxcvbn

%changelog
## START: Generated by rpmautospec
* Thu Jun 05 2025 Roman Inflianskas <rominf@pm.me> - 4.5.0-1
- Update to 4.5.0 (fedora#2346724)

* Thu Jun 05 2025 Roman Inflianskas <rominf@pm.me> - 4.4.28-18
- Use modern Python Packaging Guidelines

* Thu Jun 05 2025 Roman Inflianskas <rominf@pm.me> - 4.4.28-17
- Use %%autorelease macro

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 4.4.28-16
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 4.4.28-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 4.4.28-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.4.28-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.4.28-3
- Rebuilt for Python 3.10

* Sun May 30 2021 Paul Wouters <paul.wouters@aiven.io> - 4.4.28-2
- Resolves: rhbz#1965144 Package review issues

* Thu May 27 2021 Paul Wouters <paul.wouters@aiven.io> - 4.4.28-1
- Initial package

## END: Generated by rpmautospec
